Page MenuHomePhabricator

Archive the ContributionTracking extension
Closed, ResolvedPublicRequest

Description

Reason
The ContributionTracking extension in ancient times redirected donors straight from main-cluster fundraising pages to PayPal. Its importance then dwindled and it served to manage a connection string used in DonationInterface and to serve the Special:FundraiserMaintenance page. That connection string is no longer used as of a month ago, and today the patch moving Special:FundraiserMaintenance to DonationInterface has been approved.

ContributionTracking no longer serves a useful purpose

To-do list

Event Timeline

Ejegg created this task.Jun 11 2020, 11:20 PM
Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald TranscriptJun 11 2020, 11:20 PM
DannyS712 updated the task description. (Show Details)Jun 11 2020, 11:25 PM
DannyS712 removed a project: Other-skins.
Pppery updated the task description. (Show Details)Jun 11 2020, 11:34 PM
Pppery updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2020-06-11T23:38:52Z] <ladsgroup@deploy1001> Synchronized wmf-config/CommonSettings.php: [[gerrit:604778|Remove ContributionTracking extension]] (T255216), Part I (duration: 00m 59s)

Mentioned in SAL (#wikimedia-operations) [2020-06-11T23:42:03Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:604778|Remove ContributionTracking extension]] (T255216), Part II (duration: 00m 58s)

Mentioned in SAL (#wikimedia-operations) [2020-06-11T23:43:34Z] <ladsgroup@deploy1001> Synchronized wmf-config/extension-list: [[gerrit:604778|Remove ContributionTracking extension]] (T255216), Part III (duration: 00m 57s)

Ejegg updated the task description. (Show Details)Jun 12 2020, 2:13 AM

Change 604997 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/vagrant@master] Remove references to ContributionTracking

https://gerrit.wikimedia.org/r/604997

Dinoguy1000 updated the task description. (Show Details)Jun 12 2020, 2:20 AM
MarcoAurelio moved this task from Backlog to delete on the Wikimedia-GitHub board.
MarcoAurelio added a subscriber: MarcoAurelio.

Change 605259 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions@master] Remove ContributionTracking extension

https://gerrit.wikimedia.org/r/605259

Ejegg updated the task description. (Show Details)Jun 12 2020, 3:44 PM
Ejegg updated the task description. (Show Details)
Ejegg updated the task description. (Show Details)Jun 12 2020, 4:00 PM

Change 605259 abandoned by Reedy:
Remove ContributionTracking extension

Reason:
Can't rebase on gerrit. Can't rebase locally. I'll redo it and merge immediately

https://gerrit.wikimedia.org/r/605259

Change 605259 restored by Reedy:
Remove ContributionTracking extension

https://gerrit.wikimedia.org/r/605259

Change 605259 merged by Reedy:
[mediawiki/extensions@master] Remove ContributionTracking extension

https://gerrit.wikimedia.org/r/605259

MGChecker updated the task description. (Show Details)Jun 13 2020, 9:10 PM

Change 604997 merged by jenkins-bot:
[mediawiki/vagrant@master] Remove references to ContributionTracking

https://gerrit.wikimedia.org/r/604997

MGChecker updated the task description. (Show Details)Jun 13 2020, 9:24 PM
Jdforrester-WMF closed this task as Resolved.Jun 17 2020, 10:30 AM
Jdforrester-WMF updated the task description. (Show Details)